// http://www.garyc40.com/2010/03/how-to-make-shortcodes-user-friendly/
// closure to avoid namespace collision
(function(){
	// creates the plugin
	tinymce.create('tinymce.plugins.sppddlbuttons', {
		init : function(ed, url) {
			tinymce.plugins.sppddlbuttons.theurl = url;
			var plugin_name = spp_ddl_tinymce_object.spp_ddl_plugin_name;

		// Register commands
		ed.addButton('sppddlbuttons', {
			title : plugin_name,
			type : 'button',
			image: tinymce.plugins.sppddlbuttons.theurl + '/icon.png',

			// Uncomment this only simple shortcode needed
			/*
			onclick : function() {
				ed.selection.setContent('[jazzyoptin]');
			}*/

			// Pull dialog page for buttons with options
			onclick: function() {
				ed.windowManager.open({
					file : tinymce.plugins.sppddlbuttons.theurl + '/spp-ddl-shortcode-dialog.php', // file that contains HTML for our modal window
					width : 400 + parseInt(ed.getLang('button.delta_width', 0)), // size of our window
					height : 120 + parseInt(ed.getLang('button.delta_height', 0)), // size of our window
					inline : 1
				}, {
					plugin_url : tinymce.plugins.sppddlbuttons.theurl
				});
			}
		});
		},
		
		getInfo : function() {
			return {
				longname : 'Delayed Download',
				author : 'Lynette Chandler',
				authorurl : 'http://techbasedmarketing.com',
				infourl : 'http://techbasedmarketing.com',
				version : tinymce.majorVersion + "." + tinymce.minorVersion
			};
		}
		
	});
	
	// registers the plugin. DON'T MISS THIS STEP!!!
	tinymce.PluginManager.add('sppddlbuttons', tinymce.plugins.sppddlbuttons);
	
})();