<?php
// this file contains the contents of the popup window
$wpdir = dirname(dirname(dirname(dirname(dirname(dirname(__FILE__))))));
include($wpdir.'/wp-load.php');
$all_posts = get_posts('post_type=spp_ddl&showposts=-1&orderby=name&order=ASC');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php echo SPP_DDL_PLUGIN_NAME; ?></title>
<link type="text/css" rel="stylesheet" media="all" href="<?php echo SPP_DDL_DIR; ?>modules/css/tinymce_button_dialog.css">
<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo SPP_DDL_WP_DIR; ?>/wp-includes/js/tinymce/tiny_mce_popup.js"></script>

<script type="text/javascript">
var ButtonDialog = {
	local_ed : 'ed',
	init : function(ed) {
		ButtonDialog.local_ed = ed;
		tinyMCEPopup.resizeToInnerSize();
	},
	insert : function insertButton(ed) {	 
		// Try and remove existing style / blockquote
		//tinyMCEPopup.execCommand('mceRemoveNode', false, null);
		 
		// set up variables to contain our input values
		var item = jQuery('#item').find(':selected').val();
		 
		var output = '';
		
		// setup the output of our shortcode
		output = '[spp_ddl';
		output += ' page="' + item + '"';
		output += ']' + ButtonDialog.local_ed.selection.getContent();
		output += '[/spp_ddl]';
		tinyMCEPopup.execCommand('mceReplaceContent', false, output);
		 
		// Return
		tinyMCEPopup.close();
	}
};
tinyMCEPopup.onInit.add(ButtonDialog.init, ButtonDialog);
 
</script>

</head>
<body id="spp-countd-button">
	<div id="spp-countd-button-dialog">
		<form action="/" item="GET" accept-charset="utf-8">
			<div class="row odd">
				<label class="cell" for="item"><?php echo SPP_DDL_PLUGIN_NAME; ?> Item</label>
				<div class="cell">
				<select name="item" id="item">
					<?php
					foreach( $all_posts as $ddl_post ){
						echo '<option id="'.$ddl_post->ID.'" value="'.$ddl_post->guid.'">'.$ddl_post->post_title;
					}
					?>
				</select>
				</div>
			</div>
			<div class="row" style="text-align: center;">	
				<a href="javascript:ButtonDialog.insert(ButtonDialog.local_ed)" id="insert" style="display: block; line-height: 24px;">Insert</a>
			</div>
		</form>
	</div>
</body>
</html>