<?php
/*
 * Plugin Name: Download Delay
 * Plugin URI: http://www.appbuzzinga.com
 * Description: Lets you send users to a delayed download thank you page. File begins to download after delayed time, giving you the opportunity to advertise to them.
 * Version: 1.1.8
 * Author: Joe Clayton
 * Author URI: http://appbuzzinga.com
 * Stable tag: 1.1.8
 */
// Define constants
define( 'SPP_DDL_DIR', plugin_dir_url( __FILE__) );
define( 'SPP_DDL_PATH', dirname( __FILE__) );
define( 'SPP_DDL_WP_DIR', get_bloginfo('wpurl') );
define( 'SPP_DDL_PLUGIN_NAME', 'Download Delay' );
define( 'SPP_DDL_VERSION', '1.1.8' );

// Bring in needed files
include_once('modules/cpt.php');
include_once('modules/editor.php');
include_once('modules/hooks.php');
include_once('modules/meta_box.php');
include_once('modules/shortcode.php');
include_once('modules/scripts.php');

// On activation
register_activation_hook( __FILE__, 'spp_ddl_activation' );
// Initialize
add_action( 'init', 'spp_ddl_init' );
?>